rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe 40" "tests\02" 2
call scripts\gen-input-via-stdout.bat "files\gen.exe 200" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe 999" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe 1000" "tests\05" 5
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""

